<template>
    <footer class="cust-position">
        <div class="cust-position  d-flex justify-content-between">
            <a   href="#" class="text-center text-decoration-none">
                <i class="fa-solid fa-gears"></i>
                <a href="#" class="mx-1">НАСТРОЙКИ</a>
            </a>
        
            <div>
                <button class="btn border-0" :disabled="pageNumber==0" @click="this.$emit('prevPage')"><i class="fa fa-arrow-left"></i></button> 
                <span class="bg-primary text-white rounded-circle  px-1">{{(pageNumber +1)}}</span>
                <button class="btn border-0" :disabled="(pageNumber >= pageCount - 1)" @click="this.$emit('nextPage')"><i class="fa fa-arrow-right"></i></button>
            </div>
            <div class="text-center"><span> Количество записей: {{count}}</span></div> 
        </div>
    </footer> 
</template>

<script>
import {ref, onMounted, computed, watchEffect, mounted, onBeforeMount} from 'vue';
import { useStore } from 'vuex';
import {useRouter, useRoute } from 'vue-router';
import {mapActions, mapGetters, mapMutations} from 'vuex';

export default {
    name: 'FooterPages',
    props: ["count", "pageNumber", "limitPage"],
    setup(props){
        const elementCount = ref(0);
        
        const pageCount = computed(() => {
            let l = props.count,
            s = props.limitPage;
            return Math.ceil(l/s);
        });

        
        return {
            elementCount,
            pageCount
        }
    }

}
</script>

<style>

</style>
